### A free/open-source library for quantitative finance

Public Member Functions
StochasticProcess::discretization Class Reference

discretization of a stochastic process over a given time interval More...

`#include <ql/stochasticprocess.hpp>`

Inheritance diagram for StochasticProcess::discretization:
[legend]

List of all members.

## Public Member Functions

virtual Disposable< Array > | drift (const StochasticProcess &, Time t0, const Array &x0, Time dt) const =0
virtual Disposable< Matrix > | diffusion (const StochasticProcess &, Time t0, const Array &x0, Time dt) const =0
virtual Disposable< Matrix > | covariance (const StochasticProcess &, Time t0, const Array &x0, Time dt) const =0

## Detailed Description

discretization of a stochastic process over a given time interval